/*
 * RadSourceRun.cc
 *
 *  Created on: May 12, 2010
 *      Author: lacasta
 */

#include "DAQmanager.h"
#include "Analysis.h"
#include "DAQConfig.h"
#include "RadSourceRun.h"
#include <ConfigFactory.h>

RadSourceRun::RadSourceRun(DAQmanager *b)
    : DataRun(b)
{

}

RadSourceRun::~RadSourceRun()
{
}

int RadSourceRun::acquire(unsigned int val)
{
    ConfigFactory &cfg = ConfigFactory::instance();
    DAQConfig *daq = dynamic_cast<DAQConfig *>(cfg.get("daq"));
    return get_daq_manager()->get_board()->rad_source_acq(daq->sample_size());
}

int RadSourceRun::read_data()
{
    return get_daq_manager()->get_board()->rad_source_reading();
}
